=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kpeople-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwayland-dev,
               kf6-modemmanager-qt-dev,
               kf6-qqc2-desktop-style-dev,
               libdbus-1-dev,
               libfakekey-dev,
               libkf6pulseaudioqt-dev,
               libqca-qt6-2-dev,
               libwayland-bin,
               libwayland-dev,
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qml6-module-org-kde-people,
               qml6-module-qtquick-particles,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-connectivity-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://invent.kde.org/neon/kde/kdeconnect.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeconnect
Maintainer: Neon CI <neon@kde.org>

Package: kdeconnect
Architecture: any
Depends: kde-cli-tools,
         kf6-kirigami-addons,
         kf6-plasma-framework,
         libqca-qt6-2-plugins,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-people,
         qml6-module-org-kde-qqc2desktopstyle,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-particles,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

Package: kdeconnect-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: connect smartphones to your KDE Plasma Workspace - transitional
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
 .
 This is a dummy package which can be removed.
