=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	# TEMPORARILY disable bluetooth link because it blocks plasma startup
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/600#note_884500
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/643
	# https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/651
	failat=$(shell date -d 2025-09-01 +%s); \
	now=$(shell date -d now +%s); \
	if [ $$now -ge $$failat ]; then \
		/bin/false; \
	fi
	dh_auto_configure -- -DBLUETOOTH_ENABLED=OFF
