=== plasmoid/CMakeLists.txt ===
kpackage_install_package(package org.kde.kdeconnect plasmoids plasma SKIP_APPSTREAM)
