=== debian/changelog ===
kdeconnect (25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - add libkf6colorscheme-dev
    - drop no more needed: kpeople-vcard, libkf6configwidgets-dev,
      libkf6doctools-dev, libkf6kcmutils-dev, libqca-qt6-dev,
      plasma-wayland-protocols, and qt6-wayland-dev-tools
  * Switch the dbus-x11 build dependency to dbus-daemon for dbus-run-session.
    (Closes: #1117066)
  * Do not ship static libraries.
  * Update install files.
  * Drop no more needed lintian override.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 13:43:32 +0200
