=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	- xvfb-run -a dbus-run-session dh_auto_test

execute_after_dh_auto_install:
	# do not ship static libraries
	find debian/tmp -type f -name '*.a' -print -delete
