## kdeconnect 25.08.2+p24.04+vstable+git20251019.0251

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251019.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:51:16 +0000
