## kdeconnect 25.08.2+p24.04+vstable+git20251028.0954

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251028.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:54:21 +0000
