## kdeconnect 25.08.2+p24.04+vstable+git20251031.0903

=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vstable+git20251031.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:03:42 +0000
