## kdeconnect 25.08.2+p24.04+vunstable+git20251020.1110

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})
@@ -67,9 +67,15 @@
 if(UNIX AND NOT APPLE)
     option(WITH_X11 "Build with X11 support" ON)
     option(WITH_PULSEAUDIO "Build with Pulseaudio support" ON)
+
+    option(INSTALL_UFW_APPLICATION_RULE "Install application rule for ufw (firewall)" ON)
+    add_feature_info("INSTALL_UFW_APPLICATION_RULE"
+                 INSTALL_UFW_APPLICATION_RULE
+                 "Install application rule for ufw (firewall)")
 else()
     set(WITH_X11 OFF)
     set(WITH_PULSEAUDIO OFF)
+    set(INSTALL_UFW_APPLICATION_RULE OFF)
 endif()
 
 if(UNIX AND NOT APPLE)
