=== debian/changelog ===
kdeconnect (25.08.2+p24.04+vunstable+git20251020.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:10:34 +0000
